Page MenuHomePhabricator

Amazon donation order ids are useless when generated by processor
Closed, ResolvedPublic2 Story Points

Description

They're getting an AUTHORIZE_ prefix somewhere, and the donation import can't find the pending data

Event Timeline

Ejegg created this task.Oct 12 2016, 9:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 9:45 PM
Ejegg claimed this task.Oct 14 2016, 8:52 PM
Ejegg triaged this task as High priority.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Testing on Production board.
Ejegg set the point value for this task to 2.

Everything looks OK from our side, sent an email to our contacts there.

Ejegg renamed this task from Amazon donation order ids are being set incorrectly by the listener to Amazon donation order ids are useless when generated by processor.Oct 18 2016, 12:22 AM

Change 316503 had a related patch set uploaded (by Ejegg):
Fix merchant order ID on order reference

https://gerrit.wikimedia.org/r/316503

These are orders that were captured manually via the console. Our call to setOrderReferenceDetails used the wrong parameter name for seller order ID, so that entity didn't have our ID attached. Hoping the above patch fixing that will make the ID carry forward through authorization and capture.

TODO: make sure we're not charging people who think their donation failed.

Change 316503 merged by jenkins-bot:
Fix merchant order ID on order reference

https://gerrit.wikimedia.org/r/316503

Just monitoring to see if any more of these arise - our Amazon contact said he didn't think this fix would do it, but I do see captures getting the same reference ID as the associated authorization.

Change 320710 had a related patch set uploaded (by Ejegg):
WIP Fix Amazon order IDs for manual captures

https://gerrit.wikimedia.org/r/320710

Change 320833 had a related patch set uploaded (by Ejegg):
DRY finding OrderReferenceId, get_class() -> instanceOf

https://gerrit.wikimedia.org/r/320833

Change 320833 merged by jenkins-bot:
DRY finding OrderReferenceId, get_class() -> instanceOf

https://gerrit.wikimedia.org/r/320833

Change 320710 merged by jenkins-bot:
Fix Amazon order IDs for manual captures

https://gerrit.wikimedia.org/r/320710

Change 322203 had a related patch set uploaded (by Ejegg):
Fix check for Amazon-generated IDs

https://gerrit.wikimedia.org/r/322203

Change 322203 merged by jenkins-bot:
Fix check for Amazon-generated IDs

https://gerrit.wikimedia.org/r/322203

Ejegg closed this task as Resolved.Nov 17 2016, 10:28 PM